## org.apache.fop.datatypes
Class PercentLength

    java.lang.Object
      |
      +--org.apache.fop.datatypes.Length
            |
            +--org.apache.fop.datatypes.PercentLength

public class PercentLength
extends Length

a percent specified length quantity in XSL

Fields inherited from class org.apache.fop.datatypes.Length
`AUTO, bIsComputed, millipoints`

Constructor Summary
`PercentLength(double factor)` construct an object based on a factor (the percent, as a a factor) and an object which has a method to return the Length which provides the "base" for this calculation.
`PercentLength(double factor, PercentBase lbase)`

Method Summary
`protected int` `computeValue()` Return the computed value in millipoints.
`PercentBase` `getBaseLength()`
`void` `setBaseLength(PercentBase lbase)`
`java.lang.String` `toString()`
`double` `value()`

Methods inherited from class org.apache.fop.datatypes.Length
`convert, getTableUnits, isAuto, mvalue, setIsComputed, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PercentLength

    public PercentLength(double factor)

  construct an object based on a factor (the percent, as a a factor) and an object which has a method to return the Length which provides the "base" for this calculation.

### PercentLength

    public PercentLength(double factor,
                         PercentBase lbase)

Method Detail

### setBaseLength

    public void setBaseLength(PercentBase lbase)

### getBaseLength

    public PercentBase getBaseLength()

### computeValue

    protected int computeValue()

  Return the computed value in millipoints. This assumes that the base length has been resolved to an absolute length value.
  Overrides:
    computeValue in class Length

### value

    public double value()

### toString

    public java.lang.String toString()

  Overrides:
    toString in class Length

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.